package ch.std.hello.rest;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import ch.std.hello.beans.HelloBean;

@RestController
public class HelloController {

    @GetMapping("/hello")
    public HelloBean greeting(@RequestParam(value="name", defaultValue="World") String name) {
    	HelloBean helloBean = new HelloBean(name);
    	return helloBean;
    }
}

